import { routerRedux } from 'dva/router';
import * as pickingstock from '../../services/WH/pickingstock';

export default {

  namespace: 'pickingstock',
  state: {
  },

  subscriptions: {
    setup({ dispatch, history }) {  // eslint-disable-line

    },
  },

  effects: {
   
    *getSizeMarking ({ payload,onComplete }, { call, put }) {
      const ret = yield call(pickingstock.getSizeMarking, payload);
      if (typeof onComplete === 'function') {
        onComplete(ret)
      }
    },
  },

  reducers: {
    save(state, action) {
      return { ...state, ...action.payload };
    },
  },

};
